Webstorm Browser Compatibility

What versions of Firefox and Chrome are compatible with Webstorm 2.1.5?

I am currently evaluating the software and I will not purchase this software unless I can run and debug by code in a browser.  At the moment Firefox is unable to install the plugin as it is at version 8, and complains of an invalid URL, so I was thinking of using Chrome, but if I get similar issues this will be no good to me.

If you can help that would be most appreciated.

Regards
Simon.

6 comments
Comment actions Permalink

Hi Simon,

You need v3, which is about to be released. You can download RC build from here: http://confluence.jetbrains.net/display/WI/Web+IDE+EAP

0
Comment actions Permalink

OK - have installed version 3.  Now when I select RUN, with a simple html page - it only shows a blank tab in Firefox and nothing happens.  If Firefox is already open it says

"Firefox is already running, but is not responding. To open a new window, you must first close the existing Firefox process, or restart your system."



Any ideas?

0
Comment actions Permalink

I manually installed the plugin, and things seem to work - so thanks guys.

0
Comment actions Permalink

Has to be some sort of misconfiguration of your Run configuration.

Please search this forum -- there was a thread with  exact instructions no so long ago (within 1 month, I believe).  Instructions were for Google Chrome .. but the same (or almost the same)  will apply to Firefox as well.

Some quick links:

0

Please sign in to leave a comment.